Bug 129859 - can not regist a character device
can not regist a character device
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 10:49 EDT by Hisaya FUKUMOTO
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
It is source code of my module. (812 bytes, application/x-gzip)
2004-08-13 10:52 EDT, Hisaya FUKUMOTO
no flags Details

  None (edit)
Description Hisaya FUKUMOTO 2004-08-13 10:49:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.2)
Gecko/20040806

Description of problem:
I made a kernel module which is very simple character device.
When I loaded the module, kernel says oops.
It happened in the register_chrdev function call.

Kernel does not say oops when I rebuid the kernel without
"linux-2.6.0-compile.path" and used it.


Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1.make the kernel module and install it.
2./sbin/depmod -a
3.load the kernel module.


Actual Results:  
Unable to handle kernel NULL pointer dereference at virtual address
00000000
 printing eip:
02162c1b
*pde = 00003001
Oops: 0000 [#1]
SMP
Modules linked in: sample(U) nfsd exportfs lockd sunrpc ipv6
parport_pc lp parport w83627hf eeprom i2c_sensor i2c_isa i2c_i801
i2c_core e100 mii ip_conntrack_ftp ipt_REJECT ipt_LOG ipt_limit
ipt_state iptable_filter ipt_MASQUERADE ipt_REDIRECT iptable_nat
ip_conntrack ip_tables ide_cd cdrom floppy sg scsi_mod cpuid msr
microcode p4_clockmod speedstep_lib dm_mod joydev cdc_acm ehci_hcd
uhci_hcd button battery ac
CPU:    0
EIP:    0060:[<02162c1b>]    Not tainted
EFLAGS: 00010202   (2.6.7-1.494.2.2smp)
EIP is at register_chrdev+0x43/0xe8
eax: 3e3cc980   ebx: 3e3cc980   ecx: 00000000   edx: 00000000
esi: 4343b7e0   edi: 00000000   ebp: 41cd5c20   esp: 3566df70
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 3876, threadinfo=3566d000 task=40472130)
Stack: fffffff4 00000000 0231f088 4343b880 0231f068 3566dfa4 43211034
00000000
       4343b0b2 4343b7e0 4343b880 0231f088 0231f088 3566d000 0213725e
000128c2
       000128c2 3566dfc4 08a42db0 490ff920 fffeb200 f7013008 000128c2
08a42db0
Call Trace:
 [<43211034>] init_sample+0x34/0x72 [sample]
 [<0213725e>] sys_init_module+0x15c/0x280
Code: 8b 07 8d 4b 04 89 7b 38 89 43 34 89 cf ac aa 84 c0 75 fa b8


Expected Results:  
kernel does not say oops.

Additional info:
Comment 1 Hisaya FUKUMOTO 2004-08-13 10:52:40 EDT
Created attachment 102700 [details]
It is source code of my module.
Comment 2 Bastien Nocera 2004-08-30 17:50:26 EDT
Do you have any proofs that it is a bug in the kernel, and not in your
module? Ie. does it work with another kernel?
Comment 3 Hisaya FUKUMOTO 2004-09-07 10:17:59 EDT
I checked working with following kernels.
  - kernel-2.6.6 (kernel.org's original kernel)
  - kernel-2.6.7 (kernel.org's original kernel)
  - kernel-2.6.6-1.435.2.3 without linux-2.6.0-compile.patch
  - kernel-2.6.7-1.494.2.2 without linux-2.6.0-compile.patch

Please check the operation of an attached module with the FC2's kernel.
If it is the program mistake of my module, ignore this problem.
Comment 4 Dave Jones 2005-04-16 01:17:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.